import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  GetDimensionValuesRequest,
  GetDimensionValuesResponse,
} from "../models/models_0";
export interface GetDimensionValuesCommandInput
  extends GetDimensionValuesRequest {}
export interface GetDimensionValuesCommandOutput
  extends GetDimensionValuesResponse,
    __MetadataBearer {}
export declare class GetDimensionValuesCommand extends $Command<
  GetDimensionValuesCommandInput,
  GetDimensionValuesCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: GetDimensionValuesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetDimensionValuesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetDimensionValuesCommandInput, GetDimensionValuesCommandOutput>;
  private serialize;
  private deserialize;
}
