import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  UpdateAnomalyMonitorRequest,
  UpdateAnomalyMonitorResponse,
} from "../models/models_0";
export interface UpdateAnomalyMonitorCommandInput
  extends UpdateAnomalyMonitorRequest {}
export interface UpdateAnomalyMonitorCommandOutput
  extends UpdateAnomalyMonitorResponse,
    __MetadataBearer {}
export declare class UpdateAnomalyMonitorCommand extends $Command<
  UpdateAnomalyMonitorCommandInput,
  UpdateAnomalyMonitorCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: UpdateAnomalyMonitorCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAnomalyMonitorCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateAnomalyMonitorCommandInput,
    UpdateAnomalyMonitorCommandOutput
  >;
  private serialize;
  private deserialize;
}
