import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import {
  CreateAnomalyMonitorCommandInput,
  CreateAnomalyMonitorCommandOutput,
} from "../commands/CreateAnomalyMonitorCommand";
import {
  CreateAnomalySubscriptionCommandInput,
  CreateAnomalySubscriptionCommandOutput,
} from "../commands/CreateAnomalySubscriptionCommand";
import {
  CreateCostCategoryDefinitionCommandInput,
  CreateCostCategoryDefinitionCommandOutput,
} from "../commands/CreateCostCategoryDefinitionCommand";
import {
  DeleteAnomalyMonitorCommandInput,
  DeleteAnomalyMonitorCommandOutput,
} from "../commands/DeleteAnomalyMonitorCommand";
import {
  DeleteAnomalySubscriptionCommandInput,
  DeleteAnomalySubscriptionCommandOutput,
} from "../commands/DeleteAnomalySubscriptionCommand";
import {
  DeleteCostCategoryDefinitionCommandInput,
  DeleteCostCategoryDefinitionCommandOutput,
} from "../commands/DeleteCostCategoryDefinitionCommand";
import {
  DescribeCostCategoryDefinitionCommandInput,
  DescribeCostCategoryDefinitionCommandOutput,
} from "../commands/DescribeCostCategoryDefinitionCommand";
import {
  GetAnomaliesCommandInput,
  GetAnomaliesCommandOutput,
} from "../commands/GetAnomaliesCommand";
import {
  GetAnomalyMonitorsCommandInput,
  GetAnomalyMonitorsCommandOutput,
} from "../commands/GetAnomalyMonitorsCommand";
import {
  GetAnomalySubscriptionsCommandInput,
  GetAnomalySubscriptionsCommandOutput,
} from "../commands/GetAnomalySubscriptionsCommand";
import {
  GetCostAndUsageCommandInput,
  GetCostAndUsageCommandOutput,
} from "../commands/GetCostAndUsageCommand";
import {
  GetCostAndUsageWithResourcesCommandInput,
  GetCostAndUsageWithResourcesCommandOutput,
} from "../commands/GetCostAndUsageWithResourcesCommand";
import {
  GetCostCategoriesCommandInput,
  GetCostCategoriesCommandOutput,
} from "../commands/GetCostCategoriesCommand";
import {
  GetCostForecastCommandInput,
  GetCostForecastCommandOutput,
} from "../commands/GetCostForecastCommand";
import {
  GetDimensionValuesCommandInput,
  GetDimensionValuesCommandOutput,
} from "../commands/GetDimensionValuesCommand";
import {
  GetReservationCoverageCommandInput,
  GetReservationCoverageCommandOutput,
} from "../commands/GetReservationCoverageCommand";
import {
  GetReservationPurchaseRecommendationCommandInput,
  GetReservationPurchaseRecommendationCommandOutput,
} from "../commands/GetReservationPurchaseRecommendationCommand";
import {
  GetReservationUtilizationCommandInput,
  GetReservationUtilizationCommandOutput,
} from "../commands/GetReservationUtilizationCommand";
import {
  GetRightsizingRecommendationCommandInput,
  GetRightsizingRecommendationCommandOutput,
} from "../commands/GetRightsizingRecommendationCommand";
import {
  GetSavingsPlansCoverageCommandInput,
  GetSavingsPlansCoverageCommandOutput,
} from "../commands/GetSavingsPlansCoverageCommand";
import {
  GetSavingsPlansPurchaseRecommendationCommandInput,
  GetSavingsPlansPurchaseRecommendationCommandOutput,
} from "../commands/GetSavingsPlansPurchaseRecommendationCommand";
import {
  GetSavingsPlansUtilizationCommandInput,
  GetSavingsPlansUtilizationCommandOutput,
} from "../commands/GetSavingsPlansUtilizationCommand";
import {
  GetSavingsPlansUtilizationDetailsCommandInput,
  GetSavingsPlansUtilizationDetailsCommandOutput,
} from "../commands/GetSavingsPlansUtilizationDetailsCommand";
import {
  GetTagsCommandInput,
  GetTagsCommandOutput,
} from "../commands/GetTagsCommand";
import {
  GetUsageForecastCommandInput,
  GetUsageForecastCommandOutput,
} from "../commands/GetUsageForecastCommand";
import {
  ListCostAllocationTagsCommandInput,
  ListCostAllocationTagsCommandOutput,
} from "../commands/ListCostAllocationTagsCommand";
import {
  ListCostCategoryDefinitionsCommandInput,
  ListCostCategoryDefinitionsCommandOutput,
} from "../commands/ListCostCategoryDefinitionsCommand";
import {
  ListSavingsPlansPurchaseRecommendationGenerationCommandInput,
  ListSavingsPlansPurchaseRecommendationGenerationCommandOutput,
} from "../commands/ListSavingsPlansPurchaseRecommendationGenerationCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ProvideAnomalyFeedbackCommandInput,
  ProvideAnomalyFeedbackCommandOutput,
} from "../commands/ProvideAnomalyFeedbackCommand";
import {
  StartSavingsPlansPurchaseRecommendationGenerationCommandInput,
  StartSavingsPlansPurchaseRecommendationGenerationCommandOutput,
} from "../commands/StartSavingsPlansPurchaseRecommendationGenerationCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateAnomalyMonitorCommandInput,
  UpdateAnomalyMonitorCommandOutput,
} from "../commands/UpdateAnomalyMonitorCommand";
import {
  UpdateAnomalySubscriptionCommandInput,
  UpdateAnomalySubscriptionCommandOutput,
} from "../commands/UpdateAnomalySubscriptionCommand";
import {
  UpdateCostAllocationTagsStatusCommandInput,
  UpdateCostAllocationTagsStatusCommandOutput,
} from "../commands/UpdateCostAllocationTagsStatusCommand";
import {
  UpdateCostCategoryDefinitionCommandInput,
  UpdateCostCategoryDefinitionCommandOutput,
} from "../commands/UpdateCostCategoryDefinitionCommand";
export declare const serializeAws_json1_1CreateAnomalyMonitorCommand: (
  input: CreateAnomalyMonitorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateAnomalySubscriptionCommand: (
  input: CreateAnomalySubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateCostCategoryDefinitionCommand: (
  input: CreateCostCategoryDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteAnomalyMonitorCommand: (
  input: DeleteAnomalyMonitorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteAnomalySubscriptionCommand: (
  input: DeleteAnomalySubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteCostCategoryDefinitionCommand: (
  input: DeleteCostCategoryDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeCostCategoryDefinitionCommand: (
  input: DescribeCostCategoryDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetAnomaliesCommand: (
  input: GetAnomaliesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetAnomalyMonitorsCommand: (
  input: GetAnomalyMonitorsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetAnomalySubscriptionsCommand: (
  input: GetAnomalySubscriptionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetCostAndUsageCommand: (
  input: GetCostAndUsageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetCostAndUsageWithResourcesCommand: (
  input: GetCostAndUsageWithResourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetCostCategoriesCommand: (
  input: GetCostCategoriesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetCostForecastCommand: (
  input: GetCostForecastCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetDimensionValuesCommand: (
  input: GetDimensionValuesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetReservationCoverageCommand: (
  input: GetReservationCoverageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetReservationPurchaseRecommendationCommand: (
  input: GetReservationPurchaseRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetReservationUtilizationCommand: (
  input: GetReservationUtilizationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetRightsizingRecommendationCommand: (
  input: GetRightsizingRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetSavingsPlansCoverageCommand: (
  input: GetSavingsPlansCoverageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetSavingsPlansPurchaseRecommendationCommand: (
  input: GetSavingsPlansPurchaseRecommendationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetSavingsPlansUtilizationCommand: (
  input: GetSavingsPlansUtilizationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetSavingsPlansUtilizationDetailsCommand: (
  input: GetSavingsPlansUtilizationDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetTagsCommand: (
  input: GetTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetUsageForecastCommand: (
  input: GetUsageForecastCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListCostAllocationTagsCommand: (
  input: ListCostAllocationTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListCostCategoryDefinitionsCommand: (
  input: ListCostCategoryDefinitionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListSavingsPlansPurchaseRecommendationGenerationCommand: (
  input: ListSavingsPlansPurchaseRecommendationGenerationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ProvideAnomalyFeedbackCommand: (
  input: ProvideAnomalyFeedbackCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StartSavingsPlansPurchaseRecommendationGenerationCommand: (
  input: StartSavingsPlansPurchaseRecommendationGenerationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateAnomalyMonitorCommand: (
  input: UpdateAnomalyMonitorCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateAnomalySubscriptionCommand: (
  input: UpdateAnomalySubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateCostAllocationTagsStatusCommand: (
  input: UpdateCostAllocationTagsStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateCostCategoryDefinitionCommand: (
  input: UpdateCostCategoryDefinitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const deserializeAws_json1_1CreateAnomalyMonitorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAnomalyMonitorCommandOutput>;
export declare const deserializeAws_json1_1CreateAnomalySubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAnomalySubscriptionCommandOutput>;
export declare const deserializeAws_json1_1CreateCostCategoryDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCostCategoryDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DeleteAnomalyMonitorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAnomalyMonitorCommandOutput>;
export declare const deserializeAws_json1_1DeleteAnomalySubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAnomalySubscriptionCommandOutput>;
export declare const deserializeAws_json1_1DeleteCostCategoryDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCostCategoryDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DescribeCostCategoryDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeCostCategoryDefinitionCommandOutput>;
export declare const deserializeAws_json1_1GetAnomaliesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAnomaliesCommandOutput>;
export declare const deserializeAws_json1_1GetAnomalyMonitorsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAnomalyMonitorsCommandOutput>;
export declare const deserializeAws_json1_1GetAnomalySubscriptionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAnomalySubscriptionsCommandOutput>;
export declare const deserializeAws_json1_1GetCostAndUsageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCostAndUsageCommandOutput>;
export declare const deserializeAws_json1_1GetCostAndUsageWithResourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCostAndUsageWithResourcesCommandOutput>;
export declare const deserializeAws_json1_1GetCostCategoriesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCostCategoriesCommandOutput>;
export declare const deserializeAws_json1_1GetCostForecastCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCostForecastCommandOutput>;
export declare const deserializeAws_json1_1GetDimensionValuesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDimensionValuesCommandOutput>;
export declare const deserializeAws_json1_1GetReservationCoverageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetReservationCoverageCommandOutput>;
export declare const deserializeAws_json1_1GetReservationPurchaseRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetReservationPurchaseRecommendationCommandOutput>;
export declare const deserializeAws_json1_1GetReservationUtilizationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetReservationUtilizationCommandOutput>;
export declare const deserializeAws_json1_1GetRightsizingRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRightsizingRecommendationCommandOutput>;
export declare const deserializeAws_json1_1GetSavingsPlansCoverageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSavingsPlansCoverageCommandOutput>;
export declare const deserializeAws_json1_1GetSavingsPlansPurchaseRecommendationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSavingsPlansPurchaseRecommendationCommandOutput>;
export declare const deserializeAws_json1_1GetSavingsPlansUtilizationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSavingsPlansUtilizationCommandOutput>;
export declare const deserializeAws_json1_1GetSavingsPlansUtilizationDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSavingsPlansUtilizationDetailsCommandOutput>;
export declare const deserializeAws_json1_1GetTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetTagsCommandOutput>;
export declare const deserializeAws_json1_1GetUsageForecastCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetUsageForecastCommandOutput>;
export declare const deserializeAws_json1_1ListCostAllocationTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCostAllocationTagsCommandOutput>;
export declare const deserializeAws_json1_1ListCostCategoryDefinitionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCostCategoryDefinitionsCommandOutput>;
export declare const deserializeAws_json1_1ListSavingsPlansPurchaseRecommendationGenerationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSavingsPlansPurchaseRecommendationGenerationCommandOutput>;
export declare const deserializeAws_json1_1ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_json1_1ProvideAnomalyFeedbackCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ProvideAnomalyFeedbackCommandOutput>;
export declare const deserializeAws_json1_1StartSavingsPlansPurchaseRecommendationGenerationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartSavingsPlansPurchaseRecommendationGenerationCommandOutput>;
export declare const deserializeAws_json1_1TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_json1_1UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_json1_1UpdateAnomalyMonitorCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAnomalyMonitorCommandOutput>;
export declare const deserializeAws_json1_1UpdateAnomalySubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAnomalySubscriptionCommandOutput>;
export declare const deserializeAws_json1_1UpdateCostAllocationTagsStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCostAllocationTagsStatusCommandOutput>;
export declare const deserializeAws_json1_1UpdateCostCategoryDefinitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCostCategoryDefinitionCommandOutput>;
